org.deidentifier.arx.framework.check

## Class Transformer

- java.lang.Object
- - org.deidentifier.arx.framework.check.Transformer

    public class Transformer
    extends java.lang.Object

The class Transformer.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`Transformer(DataMatrix inputGeneralized, DataMatrix inputAnalyzed, DataMatrix outputGeneralized, int dataAnalyzedNumberOfColumns, GeneralizationHierarchy[] hierarchies, ARXConfiguration.ARXConfigurationInternal config)` Instantiates a new transformer for application purposes
`Transformer(DataMatrix inputGeneralized, DataMatrix inputAnalyzed, int dataAnalyzedNumberOfColumns, GeneralizationHierarchy[] hierarchies, ARXConfiguration.ARXConfigurationInternal config, IntArrayDictionary dictionarySensValue, IntArrayDictionary dictionarySensFreq)` Instantiates a new transformer.

### Method Summary

All Methods Instance Methods Concrete Methods
`HashGroupify` `apply(long projection, int[] transformation, HashGroupify target)` Apply.
`HashGroupify` `applyRollup(long projection, int[] state, HashGroupify source, HashGroupify target)` Apply rollup.
`HashGroupify` `applySnapshot(long projection, int[] state, HashGroupify target, int[] snapshot)` Apply snapshot.
`DataMatrix` `getBuffer()` Gets the buffer.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transformer

    public Transformer(DataMatrix inputGeneralized,
                       DataMatrix inputAnalyzed,
                       int dataAnalyzedNumberOfColumns,
                       GeneralizationHierarchy[] hierarchies,
                       ARXConfiguration.ARXConfigurationInternal config,
                       IntArrayDictionary dictionarySensValue,
                       IntArrayDictionary dictionarySensFreq)

Instantiates a new transformer.

Parameters:
  `inputGeneralized` -
  `inputAnalyzed` -
  `dataAnalyzedNumberOfColumns` -
  `hierarchies` -
  `config` -
  `dictionarySensValue` -
  `dictionarySensFreq` -

#### Transformer

    public Transformer(DataMatrix inputGeneralized,
                       DataMatrix inputAnalyzed,
                       DataMatrix outputGeneralized,
                       int dataAnalyzedNumberOfColumns,
                       GeneralizationHierarchy[] hierarchies,
                       ARXConfiguration.ARXConfigurationInternal config)

Instantiates a new transformer for application purposes

Parameters:
  `inputGeneralized` -
  `inputAnalyzed` -
  `dataAnalyzedNumberOfColumns` -
  `hierarchies` -
  `config` -
  `dictionarySensValue` -
  `dictionarySensFreq` -

### Method Detail

#### apply

    public HashGroupify apply(long projection,
                              int[] transformation,
                              HashGroupify target)

Apply.

Parameters:
  `projection` - the projection
  `transformation` - the transformation
  `target` - the target
Returns:
  the hash groupify

#### applyRollup

    public HashGroupify applyRollup(long projection,
                                    int[] state,
                                    HashGroupify source,
                                    HashGroupify target)

Apply rollup.

Parameters:
  `projection` - the projection
  `state` - the state
  `source` - the source
  `target` - the target
Returns:
  the hash groupify

#### applySnapshot

    public HashGroupify applySnapshot(long projection,
                                      int[] state,
                                      HashGroupify target,
                                      int[] snapshot)

Apply snapshot.

Parameters:
  `projection` - the projection
  `state` - the state
  `target` - the target
  `snapshot` - the snapshot
Returns:
  the hash groupify

#### getBuffer

    public DataMatrix getBuffer()

Gets the buffer.

Returns:
  the buffer